Page MenuHomePhabricator

Make a way to build Scap .deb in Docker
Closed, ResolvedPublic

Description

The last time we did a Scap release, there was a problem with how the Debian package got built. It was done on a server I don't have access to and thus weren't able to help with.

I think it'd be great if there was one, repeatable way to build the Scap .deb that everyone can use and that works the same way everywhere. It should ideally not require access to a special server or require special privileges.

I wonder if it'd be acceptable to change how the .deb building happens by moving it to a Docker container?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2020, 4:45 PM
LarsWirzenius triaged this task as High priority.Oct 19 2020, 9:32 AM
jijiki edited subscribers, added: MoritzMuehlenhoff; removed: serviceops.

While this won't block me starting the release process of the next Scap release, I would like to get this .deb building thing resolved soon. Has serviceops had time to discuss this?

@LarsWirzenius after discussing it, we decided that for the time being we can't adopt this solution, given that generally there are no issues with the way we currently build debs. You can always use the package_builder instance on cloud VPS tou check if your package build properly. Last time I updated the documentation so I doubt we will have any issues building scap this time. Thank you!

jijiki lowered the priority of this task from High to Low.Oct 26 2020, 4:27 PM

I can't actually find the package_builder host and can't check if I have login access or the ability to build Debian packages there.

However, I'd like to point out that I don't have a problem building the Scap Debian package. The fundamental problem I have is that when serviceops had a problem building the package for the previous release, I wasn't able to log into the machine used for building or inspecting the situation to help solve the problem, and wasn't really given much of an opportunity to help. All the time I continued to not have a problem building the package. To solve that issue I proposed the Docker approach, but I guess we'll forget it.

Going forward, I'd like to find a way to streamline the Scap release process so that we can make releases quickly and often. As part of that, I would like to see the Debian package building become as automated as possible.

LarsWirzenius closed this task as Resolved.Wed, Nov 25, 5:14 PM

This is merged into scap.git now.